<template>
  <div id="app">
    <!-- <div id="nav">
      <router-link to="/">Home</router-link> |
      <router-link to="/about">About</router-link>
    </div> -->
    <div class="py-4">
      <router-view/>
    </div>    
  </div>
</template>

<script>
import { mapGetters, mapActions  } from 'vuex'
 export default {
  name: 'App',
  computed: {
        ...mapGetters({
            token:'auth/token',
        })
    },
  methods: {
    ...mapActions({
            CHECKTOKEN: 'auth/CHECKTOKEN'
        }),
  },
  mounted() {
    if(this.token) {
      this.CHECKTOKEN(this.token)
    }
  } 
};
</script>


<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
